import { type Base, genBase } from "./_base"

export interface Division extends Base {
  code: string
  name: string
  parent_id?: number | null
  childrens?: Division[] | null
}

export function genDivision(): Division {
  return {
    ...genBase(),
    code: '',
    name: '',
    parent_id: null,
    childrens: null,
  }
}
